# `taurus.core.util.remotelogmonitor`

Useful module for remote logging

Classes

class LogRecordSocketReceiver(host='localhost', port=9020, handler=<class 'taurus.core.util.remotelogmonitor.LogRecordStreamHandler'>, **kwargs)

  Simple TCP socket-based logging receiver suitable for testing.

  (more info)

class LogRecordStreamHandler(request, client_address, server)

  (more info)

Functions

log(host, port, name=None, level=None)